﻿Imports System.Data.OleDb
Imports Excel = Microsoft.Office.Interop.Excel
Imports Microsoft.Office.Interop.Excel.Constants
Imports System.IO
Imports System.Web.UI.WebControls


Public Class frmAdvance
    Dim rdr As OleDbDataReader = Nothing
    Dim dtable As New DataTable
    Dim con As OleDbConnection = Nothing
    Dim adp As OleDbDataAdapter
    Dim ds As DataSet
    Dim cmd As OleDbCommand = Nothing
    Dim dt As New DataTable
    Dim cs As String = "Provider=Microsoft.ACE.OLEDB.12.0;Data Source=|DataDirectory|\PayrollManagerDB.accdb;Persist Security Info=False;"
    Private Sub advance_form_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        frmMainMenu.Show()
    End Sub





    Private Sub Amount_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles Amount.KeyPress
        If (e.KeyChar < Chr(48) Or e.KeyChar > Chr(57)) And e.KeyChar <> Chr(8) Then

            e.Handled = True

        End If
    End Sub




    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        If Val(txtadm.Text) < 1 Then
            MessageBox.Show("You must enter the adm no", "No Adm", MessageBoxButtons.OK, MessageBoxIcon.Warning)
            Exit Sub
        End If
        Try
            Dim objExcel As New Excel.Application
            Dim objWorkbook As Excel.Workbook
            Dim objSheet As Excel.Worksheet

            objExcel.Workbooks.Add()
            objWorkbook = objExcel.Workbooks.Open(Application.StartupPath & "\template.xlsx")
            objSheet = objWorkbook.Worksheets(1)

            objExcel.AlertBeforeOverwriting = False
            objExcel.DisplayAlerts = False
            If My.Computer.FileSystem.FileExists(Application.StartupPath & "\Certificates\" & txtadm.Text & ".xlsx") Then
                My.Computer.FileSystem.DeleteFile(Application.StartupPath & "\Certificates\" & txtadm.Text & ".xlsx", FileIO.UIOption.AllDialogs, FileIO.RecycleOption.DeletePermanently, FileIO.UICancelOption.DoNothing)

            End If
            objExcel.Visible = True
            ' objExcel.Application.Quit()
            objSheet.Cells(14, 6).value = TextBox1.Text
            objSheet.Cells(15, 6).value = TextBox2.Text
            objSheet.Cells(16, 5).value = txtadm.Text
            objSheet.Cells(17, 6).value = UCase(EmployeeName.Text)
            objSheet.Cells(18, 5).value = EntryDate.Value.ToLongDateString
            objSheet.Cells(19, 2).value = Amount.Text
            objSheet.Cells(19, 7).value = DateTimePicker1.Value.ToLongDateString
            objSheet.Cells(20, 2).value = TextBox3.Text
            objSheet.Cells(21, 4).value = TextBox4.Text
            objSheet.Cells(22, 7).value = DateTimePicker2.Value.ToLongDateString
            objSheet.Cells(24, 1).value = TextBox5.Text
            objSheet.Cells(25, 1).value = TextBox6.Text
            objSheet.Cells(26, 1).value = TextBox7.Text
            objSheet.Cells(28, 3).value = DateTimePicker3.Value.ToLongDateString
            If RadioButton1.Checked = True Then
                objSheet.Cells(23, 9).value = "He was "
            Else
                objSheet.Cells(23, 9).value = "She was "

            End If
            objSheet.SaveAs(Application.StartupPath & "\Certificates\" & txtadm.Text & ".xlsx")
            objWorkbook.PrintPreview()

        Catch ex As Exception

        End Try




    End Sub

    Private Sub frmAdvance_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Try
            Dim filePaths As String() = Directory.GetFiles(Application.StartupPath & "\Certificates\")
            Dim files As New List(Of ListItem)()
            For Each filePath As String In filePaths


                files.Add(New ListItem(UCase(Path.GetFileName(filePath)), filePath))

            Next
            DataGridView1.DataSource = files
            DataGridView1.Columns(1).Visible = False
            DataGridView1.Columns(0).Visible = False

        Catch ex As Exception

        End Try
    End Sub

    Private Sub DataGridView1_CellContentClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles DataGridView1.CellContentClick

    End Sub

    Private Sub DataGridView1_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles DataGridView1.DoubleClick
        neww()
        Try
            Dim objExcel As New Excel.Application
            Dim objWorkbook As Excel.Workbook
            Dim objSheet As Excel.Worksheet

            Try

                objExcel.Workbooks.Add()
                objWorkbook = objExcel.Workbooks.Open(DataGridView1.CurrentRow.Cells(3).Value)
                objSheet = objWorkbook.Worksheets(1)

                objExcel.AlertBeforeOverwriting = False
                objExcel.DisplayAlerts = False

                objExcel.Visible = True

                'TextBox1.Text = objSheet.Cells(14, 6).value
                'TextBox2.Text = objSheet.Cells(15, 6).value
                'txtadm.Text = objSheet.Cells(16, 5).value
                'EmployeeName.Text = objSheet.Cells(17, 6).value

                'EntryDate.Value = objSheet.Cells(18, 5).value
                'Amount.Text = objSheet.Cells(19, 2).value
                'DateTimePicker1.Value = objSheet.Cells(19, 7).value
                'TextBox3.Text = objSheet.Cells(20, 2).value
                'TextBox4.Text = objSheet.Cells(21, 4).value
                'DateTimePicker2.Value = objSheet.Cells(22, 7).value
                'TextBox5.Text = objSheet.Cells(24, 1).value
                'TextBox6.Text = objSheet.Cells(25, 1).value
                'TextBox7.Text = objSheet.Cells(26, 1).value
                'objSheet.Cells(28, 3).value = DateTimePicker3.Value.ToLongDateString
                'If objSheet.Cells(23, 9).value = "He was " Then
                '    RadioButton1.Checked = True
                'Else
                '    RadioButton2.Checked = True

                'End If
                ' objSheet.SaveAs(Application.StartupPath & "\Certificates\" & txtadm.Text & ".xlsx")
                objWorkbook.PrintPreview()

            Catch ex As Exception

            End Try

        Catch ex As Exception

        End Try
    End Sub

    Private Sub Delete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Delete.Click
        Try
            Dim filePaths As String() = Directory.GetFiles(Application.StartupPath & "\Certificates\")
            Dim files As New List(Of ListItem)()
            For Each filePath As String In filePaths


                files.Add(New ListItem(UCase(Path.GetFileName(filePath)), filePath))

            Next
            DataGridView1.DataSource = files
            DataGridView1.Columns(1).Visible = False
            DataGridView1.Columns(0).Visible = False

        Catch ex As Exception

        End Try
    End Sub

    Private Sub Save_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        neww()
        If My.Computer.FileSystem.FileExists(Application.StartupPath & "\Certificates\" & DataGridView1.CurrentRow.Cells(3).Value) Then
            My.Computer.FileSystem.DeleteFile(Application.StartupPath & "\Certificates\" & DataGridView1.CurrentRow.Cells(3).Value, FileIO.UIOption.OnlyErrorDialogs, FileIO.RecycleOption.DeletePermanently)

        End If
        Try
            Dim filePaths As String() = Directory.GetFiles(Application.StartupPath & "\Certificates\")
            Dim files As New List(Of ListItem)()
            For Each filePath As String In filePaths


                files.Add(New ListItem(UCase(Path.GetFileName(filePath)), filePath))

            Next
            DataGridView1.DataSource = files
            DataGridView1.Columns(1).Visible = False
            DataGridView1.Columns(0).Visible = False

        Catch ex As Exception

        End Try
    End Sub

    

    Private Sub NewRecord_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NewRecord.Click
        neww()
    End Sub
    Private Sub neww()
       
        TextBox3.Text = ""
        TextBox4.Text = ""
        TextBox5.Text = ""
        TextBox6.Text = ""
        TextBox7.Text = ""
        txtadm.Text = ""
        Amount.Text = ""
        EmployeeName.Text = ""

    End Sub
End Class